routes/web.php
<?php

/* 
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
*/

// Switch between the included languages
Route::get('lang/{lang}', 'LanguageController@swap');

Auth::routes();


Route::get('/', function () {
	return view('welcome');
});

Route::get('/home', 'HomeController@index')->name('dashboard');
Route::get('/register/confirm', 'Auth\RegisterConfirmationController@index')->name('register.confirm');


/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
*/

Route::prefix('admin')->group(function() {
  Route::get('/login', 'Auth\AdminLoginController@showLoginForm')->name('admin.login');
  Route::post('/login', 'Auth\AdminLoginController@login')->name('admin.login.submit');
  Route::get('/', 'DashboardController@index')->name('admin.dashboard');
  Route::post('/logout', 'Auth\AdminLoginController@logout')->name('admin.logout');

  // Password reset routes
  Route::post('/password/email', 'Auth\AdminForgotPasswordController@sendResetLinkEmail')->name('admin.password.email');
  Route::get('/password/reset', 'Auth\AdminForgotPasswordController@showLinkRequestForm')->name('admin.password.request');
  Route::post('/password/reset', 'Auth\AdminResetPasswordController@reset');
  Route::get('/password/reset/{token}', 'Auth\AdminResetPasswordController@showResetForm')->name('admin.password.reset');

  //Admins
  Route::resource('admins', 'AdminController');
  Route::get('profile', 'AdminController@profile')->name('admin.profile');
  Route::patch('profile/{admin}', 'AdminController@updateProfile')->name('admin.update-profile');

  Route::resource('permissions', 'PermissionsController');

  Route::resource('languages', 'LanguageController');

  Route::resource('services', 'ServiceController');

  Route::resource('categories', 'CategoryController');

  Route::resource('users', 'UserController');
  
  //Commands
  Route::get('commands', 'CommandsController@index')->name('commands.index');
  Route::post('run-migration', 'CommandsController@runMigration')->name('run-migration');
  Route::post('install-database', 'CommandsController@installDatabase')->name('install-database');
  Route::post('install-passport', 'CommandsController@installPassport')->name('install-passport');
  Route::post('optimize', 'CommandsController@optimize')->name('optimize');
  Route::post('clear-cache', 'CommandsController@clearCache')->name('clear-cache');
  Route::post('table-truncate/{table}', 'CommandsController@tableTruncate')->name('table-truncate');
  Route::post('table-delete/{table}', 'CommandsController@tableDelete')->name('table-delete');
  Route::get('table-show/{table}', 'CommandsController@tableShow')->name('table-show');
  
});


Route::get('test', function () {

  $service = App\Service::first();

  echo $service->name;


});

resources/views/admin/admins/create.blade.php
@extends('admin.layouts.app')

@section('title', __('admins.create_new_admin'))

@section('pageheader')
  <h1>
    {{ __('admins.admins') }}
    <small>{{ __('admins.create_new_admin') }}</small>
  </h1>
@stop

@section('content')
  <div class="row">
  {!! Form::open(['route' => 'admins.store']) !!}
    <!-- left column -->
    <div class="col-md-7">

      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">{{ __('admins.create_new_admin') }}</h3>
        </div>

          <div class="box-body">
            <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
              <label for="name">{{ __('admins.name') }}</label>
              {!! Form::text('name', null, ['class' => 'form-control', 'placeholder' => __('admins.name')]) !!}

              @if ($errors->has('name'))
                  <span class="help-block">
                      <strong>{{ $errors->first('name') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group{{ $errors->has('username') ? ' has-error' : '' }}">
              <label for="username">{{ __('admins.username') }}</label>
              {!! Form::text('username', null, ['class' => 'form-control', 'placeholder' => __('admins.username')]) !!}

              @if ($errors->has('username'))
                  <span class="help-block">
                      <strong>{{ $errors->first('username') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
            <label for="email">{{ __('admins.email') }}</label>
              {!! Form::email('email', null, ['class' => 'form-control', 'placeholder' => __('admins.email')]) !!}

              @if ($errors->has('email'))
                  <span class="help-block">
                      <strong>{{ $errors->first('email') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
            <label for="password">{{ __('admins.password') }}</label>
              {!! Form::password('password', ['class' => 'form-control', 'placeholder' => __('admins.password')]) !!}

              @if ($errors->has('password'))
                  <span class="help-block">
                      <strong>{{ $errors->first('password') }}</strong>
                  </span>
              @endif
            </div>


            <div class="form-group">
            <label for="active">{{ __('admin.status') }}</label>
              {{ Form::select('active', ['1' => __('admin.active'), '0' => __('admin.disabled')], 1, ['class' => 'form-control selectpicker']) }}
            </div>

            <hr>

            <div class="form-group">
            <label for="permission_id">{{ __('admins.permissions') }}</label>
                @foreach($permissions as $permission)
                  <div class="checkbox">
                      <label for="permission_id{{ $permission->id }}">
                        <input type="checkbox" name="permission_id[]" id="permission_id{{ $permission->id }}" value="{{ $permission->id }}" {{ ( is_array(old('permission_id')) && in_array($permission->id, old('permission_id')) ) ? 'checked ' : '' }}>

                      {{ $permission->name }}
                    </label>
                  </div>
                @endforeach
            </div>
          </div>
          <!-- /.box-body -->

          <div class="box-footer">
            <div class="col-md-6">
              <button class="btn btn-info btn-flat btn-block"><i class="icon ion-ios-plus-outline"></i>&nbsp;{{ __('admin.save') }}</button>
            </div>
            <div class="col-md-6">
              <a href="{{ route('admins.index') }}" class="btn btn-default btn-flat btn-block"><i class="icon ion-log-out"></i>&nbsp;{{ __('admin.back') }}</a>
            </div>
          </div>
      </div>
      <!-- /.box -->
    </div>
    <!--/.col (left) -->
  {!! Form::close() !!}
  </div>
@stop

resources/views/admin/admins/edit.blade.php
@extends('admin.layouts.app')

@section('title', __('admins.edit_admin'))

@section('pageheader')
  <h1>
    {{ __('admins.admins') }}
  <small>{{ __('admins.edit_admin') }}</small>
  </h1>
@stop

@section('content')
  <div class="row">
  {!! Form::model($admin , ['method' => 'PATCH', 'route' => ['admins.update' , $admin->id]]) !!}
    <!-- left column -->
    <div class="col-md-7">

      <div class="box">
        <div class="box-header with-border">
        <h3 class="box-title">{{ __('admins.edit_admin') }}</h3>
        </div>

          <div class="box-body">
            <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
              <label for="name">{{ __('admins.name') }}</label>
              {!! Form::text('name', null, ['class' => 'form-control', 'placeholder' =>  __('admins.name')]) !!}

              @if ($errors->has('name'))
                  <span class="help-block">
                      <strong>{{ $errors->first('name') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group{{ $errors->has('username') ? ' has-error' : '' }}">
            <label for="username">{{  __('admins.username') }}</label>
              {!! Form::text('username', null, ['class' => 'form-control', 'placeholder' =>  __('admins.username')]) !!}

              @if ($errors->has('username'))
                  <span class="help-block">
                      <strong>{{ $errors->first('username') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
            <label for="email">{{  __('admins.email') }}</label>
              {!! Form::email('email', null, ['class' => 'form-control', 'placeholder' =>  __('admins.email')]) !!}

              @if ($errors->has('email'))
                  <span class="help-block">
                      <strong>{{ $errors->first('email') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group">
            <label for="password">{{ __('admins.change_password') }}</label>
              <div class="input-group">
                <span class="input-group-addon">
                  {{ Form::checkbox('password_change') }}<span></span>
                </span>
                {!! Form::password('password', ['class' => 'form-control', 'placeholder' => __('admins.new_password')]) !!}
              </div>
            </div>


            <div class="form-group{{ $errors->has('active') ? ' has-error' : '' }}">
            <label for="active">{{  __('admin.status') }}</label>
              {{ Form::select('active', ['1' =>  __('admin.active'), '0' =>  __('admin.disabled')], null, ['class' => 'form-control selectpicker']) }}

              @if ($errors->has('active'))
                  <span class="help-block">
                      <strong>{{ $errors->first('active') }}</strong>
                  </span>
              @endif
            </div>

            <hr>

            <div class="form-group">
            <label for="permission_id">{{  __('admins.permissions') }}</label>
                @foreach($permissions as $permission)
                  <div class="checkbox">
                      <label for="permission_id{{ $permission->id }}">
                        <input type="checkbox" name="permission_id[]" id="permission_id{{ $permission->id }}"  value="{{ $permission->id }}" {{ ( is_array($current_permissions) && in_array($permission->id, $current_permissions) ) ? 'checked ' : '' }}>
                      {{ $permission->name }}
                    </label>
                  </div>
                @endforeach
            </div>
          </div>
          <!-- /.box-body -->
          <div class="box-footer">
            <div class="col-md-6">
            <button class="btn btn-info btn-flat btn-block m-b-10"><i class="icon ion-ios-plus-outline"></i>&nbsp;{{  __('admin.save') }}</button>
            </div>
            <div class="col-md-6">
            <a href="{{ route('admins.index') }}" class="btn btn-default btn-flat btn-block"><i class="icon ion-log-out"></i>&nbsp;{{  __('admin.back') }}</a>
            </div>
          </div>
      </div>
      <!-- /.box -->
    </div>
    <!--/.col (left) -->
  {!! Form::close() !!}
  </div>
@stop

resources/views/admin/admins/index.blade.php
@extends('admin.layouts.app')

@section('title', __('admins.admins'))

@section('styles')
  <link href="{{ asset('assets/dashboard/bower_components/datatables/css/dataTables.bootstrap.min.css') }}" rel="stylesheet"> 
@stop

@section('pageheader')
  <h1>
    {{ __('admins.admins') }}
  <small>{{ __('admin.show_all') }}</small>
  </h1>
@stop

@section('content')
  <div class="box">
    <div class="box-header with-border">
      <h3 class="box-title">{{ __('admin.show_all') }}</h3>

      <div class="box-tools">
      <a href="{{ route('admins.create') }}" class="btn btn-default btn-flat"><i class="icon ion-ios-plus"></i>&nbsp;&nbsp;{{ __('admin.create_new') }}</a>

      <button class="btn btn-default btn-flat" onclick="reload_table()"><i class="ion-ios-refresh"></i>&nbsp;&nbsp;{{ __('admin.refresh') }}</button>
      </div>
    </div>
    <!-- /.box-header -->
    <div class="box-body">
      <table id="dt" class="table table-bordered table-striped">
        <thead>
        <tr>
        <th>{{ __('admins.name') }}</th>
        <th>{{ __('admins.username') }}</th>
        <th>{{ __('admins.email') }}</th>
        <th>{{ __('admin.status') }}</th>
        <th>{{ __('admin.control') }}</th>
        </tr>
        </thead>
        <tbody></tbody>
      </table>
    </div>
    <!-- /.box-body -->
  </div>
@stop

@section('scripts')
  <script src="{{ asset('assets/dashboard/bower_components/dataTables/js/jquery.dataTables.min.js') }}"></script>
  <script src="{{ asset('assets/dashboard/bower_components/dataTables/js/dataTables.bootstrap.min.js') }}"></script>
  <script>
    let url = '{!! route('admins.index') !!}';
  </script>

  <script type="text/javascript" src="{{ asset('assets/dashboard/js/admins.js') }}"></script>
@stop

resources/views/admin/admins/profile.blade.php
@extends('admin.layouts.app')

@section('title', 'الصفحة الشخصية')

@section('pageheader')
  <h1>
    المشرفين
    <small>الصفحة الشخصية</small>
  </h1>
@stop

@section('content')
  <div class="row">
  {!! Form::model($admin , ['method' => 'PATCH', 'route' => ['admin.update-profile' , $admin->id]]) !!}
    <!-- left column -->
    <div class="col-md-7">

      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">الصفحة الشخصية</h3>
        </div>

          <div class="box-body">
            <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
              <label for="name">الاسم</label>
              {!! Form::text('name', null, ['class' => 'form-control', 'placeholder' => 'الاسم']) !!}

              @if ($errors->has('name'))
                  <span class="help-block">
                      <strong>{{ $errors->first('name') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group{{ $errors->has('username') ? ' has-error' : '' }}">
              <label for="username">اسم المستخدم</label>
              {!! Form::text('username', null, ['class' => 'form-control', 'placeholder' => 'اسم المستخدم', 'readonly' => 'readonly']) !!}

              @if ($errors->has('username'))
                  <span class="help-block">
                      <strong>{{ $errors->first('username') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
              <label for="email">البريد الالكترونى</label>
              {!! Form::email('email', null, ['class' => 'form-control', 'placeholder' => 'البريد الالكترونى', 'readonly' => 'readonly']) !!}

              @if ($errors->has('email'))
                  <span class="help-block">
                      <strong>{{ $errors->first('email') }}</strong>
                  </span>
              @endif
            </div>

            <div class="form-group">
              <label for="password">تغيير كلمة المرور</label>
              <div class="input-group">
                <span class="input-group-addon">
                  {{ Form::checkbox('password_change') }}<span></span>
                </span>
                {!! Form::password('password', ['class' => 'form-control', 'placeholder' => 'كلمة المرور الجديدة']) !!}
              </div>
            </div>


            <div class="form-group{{ $errors->has('active') ? ' has-error' : '' }}">
              <label for="active">الحالة</label>
              {{ Form::select('active', ['1' => 'مفعل', '0' => 'معطل'], null, ['class' => 'form-control selectpicker']) }}

              @if ($errors->has('active'))
                  <span class="help-block">
                      <strong>{{ $errors->first('active') }}</strong>
                  </span>
              @endif
            </div>
          </div>
          <!-- /.box-body -->
          <div class="box-footer">
            <div class="col-md-6">
              <button class="btn btn-info btn-flat btn-block m-b-10"><i class="icon ion-ios-plus-outline"></i>&nbsp;حفظ</button>
            </div>
          </div>
      </div>
      <!-- /.box -->
    </div>
    <!--/.col (left) -->
  {!! Form::close() !!}
    <!-- right column -->
    <div class="col-md-5 hide">
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">الصورة الشخصية</h3>
        </div>
  
        <div class="box-body">
          <image-upload img-url="{{ $admin->avatar_path() }}" id = "{{ $admin->id }}"></image-upload>
        </div>

      </div>
      <!-- /.box -->
    </div>
    <!--/.col (right) -->
  </div>
@stop